﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using Zero.Common;

namespace Zero.Service
{    

    /// <summary>
    /// Service contract for message communication through WCF.
    /// </summary>
    [ServiceContract]
    public interface IService
    {
        /// <summary>
        /// Sends transport data to backend for processing.
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [OperationContract]
        TransportObject ProcessObject(TransportObject request);               
    }
}
