﻿using System.Collections.Generic;
using Caliburn.Micro;

namespace Zero.Frontend
{
    /// <summary>
    /// Allows asynchronous inicialization of screen.
    /// </summary>
    public interface IAsyncInicializable
    {
        /// <summary>
        /// Coroutine to execute as inicialization.
        /// </summary>
        /// <returns></returns>
        IEnumerable<IResult> InicializeAsync();
    }
}