﻿using System;
using Zero.Common;

namespace Example.Transports.Customer
{
    [Serializable]
    public class GetCustomer : IRequest<GetCustomerResponse>
    {
        public int CustomerID { get; set; }

        public GetCustomer(int customerID)
        {
            CustomerID = customerID;
        }
    }

    public class GetCustomerResponse
    {
        public Entities.Customer Customer { get; set; }
    }
}