﻿using System.ComponentModel.Composition;
using Caliburn.Micro;
using Example.Entities;

namespace Example.Frontend.Customers
{
    [Export]
    public class CustomerInfoViewModel : Screen
    {
        public CustomerInfoViewModel()
        {
            DisplayName = "Info";
        }

        private Customer _customer;
        public Customer Customer
        {
            get { return _customer; }
            set
            {
                if (_customer != value)
                {
                    _customer = value;
                    NotifyOfPropertyChange(()=>Customer);
                }
            }
        }
    }
}