﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Caliburn.Micro;

namespace Zero.Frontend
{
    /// <summary>
    /// Shows a messagebox.
    /// </summary>
    public static class MessageBox
    {
        /// <summary>
        /// Shows a Messagebox.
        /// </summary>
        /// <param name="message"></param>
        /// <param name="caption"></param>
        /// <param name="buttons"></param>
        /// <returns></returns>
        public static MessageBoxResult Show(string message, string caption = "", MessageBoxButton buttons = MessageBoxButton.OK)
        {
            return IoC.Get<IMessageBoxService>().Show(message, caption, buttons);
        }
    }
}
